cemmersb (1) [Avatar] Offline
#1
Hi Tiis,

I just tested your 'book-osgi' example on Karaf 3.0.0 and encountered a missing dependency to the 'org.apache.commons.lang.time' package


Error executing command: Could not start bundle mvn:org.activiti/activiti-engine/5.9 in feature(s) activiti-5.9: Unresolved constraint in bundle org.activiti.engine [124]: Unable to resolve 124.0: missing requirement [124.0] osgi.wiring.package; (&(osgi.wiring.package=org.apache.commons.lang.time)(version>=2.4.0)(!(version>=3.0.0)))


Do you think it is worth to add the dependency to the features.xml? It would prevent people from getting unresolved dependencies.

Best,

Christoph